> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1rficases 1



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/rfi/cases/{id}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/rfi/cases/{id}:
    get:
      tags:
        - RFI
      operationId: RfiController_getOne
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RfiCaseDetailEntity'
      security:
        - bearer: []
components:
  schemas:
    RfiCaseDetailEntity:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        status:
          type: string
        triageStatus:
          type: string
        organizationId:
          type: string
          nullable: true
        pfiName:
          type: string
          nullable: true
        subject:
          type: string
          nullable: true
        messageCount:
          type: number
        resolvedAt:
          format: date-time
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/RfiMessageEntity'
        references:
          type: array
          items:
            $ref: '#/components/schemas/RfiCaseReferenceEntity'
      required:
        - id
        - type
        - status
        - triageStatus
        - organizationId
        - pfiName
        - subject
        - messageCount
        - resolvedAt
        - createdAt
        - updatedAt
        - messages
        - references
    RfiMessageEntity:
      type: object
      properties:
        id:
          type: string
        origin:
          allOf:
            - $ref: '#/components/schemas/RfiMessageOrigin'
        authoredBy:
          type: string
          nullable: true
        fromAddress:
          type: string
          nullable: true
        subject:
          type: string
          nullable: true
        bodyText:
          type: string
          nullable: true
        bodyHtml:
          type: string
          nullable: true
        sentAt:
          format: date-time
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/RfiAttachmentEntity'
      required:
        - id
        - origin
        - authoredBy
        - fromAddress
        - subject
        - bodyText
        - bodyHtml
        - sentAt
        - createdAt
        - attachments
    RfiCaseReferenceEntity:
      type: object
      properties:
        id:
          type: string
        rawValue:
          type: string
          nullable: true
        status:
          type: string
        identityId:
          type: string
          nullable: true
        transactionId:
          type: string
          nullable: true
      required:
        - id
        - rawValue
        - status
        - identityId
        - transactionId
    RfiMessageOrigin:
      type: string
      enum:
        - Provider
        - Client
        - Admin
    RfiAttachmentEntity:
      type: object
      properties:
        id:
          type: string
        fileName:
          type: string
        mimeType:
          type: string
          nullable: true
        sizeBytes:
          type: number
          nullable: true
        contentId:
          type: string
          nullable: true
        isInline:
          type: boolean
      required:
        - id
        - fileName
        - mimeType
        - sizeBytes
        - contentId
        - isInline
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````